diff --git a/src/tools/sss_debuglevel.c b/src/tools/sss_debuglevel.c
index 3fe634e..906f1c0 100644
--- a/src/tools/sss_debuglevel.c
+++ b/src/tools/sss_debuglevel.c
@@ -111,7 +111,7 @@ int main(int argc, const char **argv)
     }
 
     if (config_file == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_strdup() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_strdup() failed\n");
         ret = ENOMEM;
         goto fini;
     }
@@ -128,7 +128,7 @@ int main(int argc, const char **argv)
     ctx = talloc_zero(NULL, struct debuglevel_tool_ctx);
     if (ctx == NULL) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not allocate memory for tools context\n"));
+              "Could not allocate memory for tools context\n");
         ret = ENOMEM;
         goto fini;
     }
@@ -163,15 +163,15 @@ errno_t set_debug_level(struct debuglevel_tool_ctx *tool_ctx,
     TALLOC_CTX *tmp_ctx = talloc_new(NULL);
 
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_new() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_new() failed\n");
         return ENOMEM;
     }
 
     /* convert debug_to_set to string */
     values[0] = talloc_asprintf(tmp_ctx, "0x%.4x", debug_to_set);
     if (values[0] == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Could not allocate memory for "
-              "debug_to_set to string conversion\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Could not allocate memory for "
+              "debug_to_set to string conversion\n");
         ret = ENOMEM;
         goto done;
     }
@@ -193,8 +193,8 @@ errno_t set_debug_level(struct debuglevel_tool_ctx *tool_ctx,
     errno = 0;
     if (utime(config_file, NULL) == -1 ) {
         err = errno;
-        DEBUG(SSSDBG_MINOR_FAILURE, ("Unable to change mtime of \"%s\": %s\n",
-              config_file, strerror(err)));
+        DEBUG(SSSDBG_MINOR_FAILURE, "Unable to change mtime of \"%s\": %s\n",
+              config_file, strerror(err));
     }
 
     ret = EOK;
@@ -212,14 +212,14 @@ errno_t connect_to_confdb(TALLOC_CTX *ctx, struct confdb_ctx **cdb_ctx)
     confdb_path = talloc_asprintf(ctx, "%s/%s", DB_PATH, CONFDB_FILE);
     if (confdb_path == NULL) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not allocate memory for confdb path\n"));
+              "Could not allocate memory for confdb path\n");
         return ENOMEM;
     }
 
     ret = confdb_init(ctx, cdb_ctx, confdb_path);
     if (ret != EOK) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not initialize connection to the confdb\n"));
+              "Could not initialize connection to the confdb\n");
     }
 
     talloc_free(confdb_path);
@@ -249,14 +249,14 @@ errno_t get_confdb_sections(TALLOC_CTX *ctx, struct confdb_ctx *confdb,
     TALLOC_CTX *tmp_ctx = talloc_new(NULL);
 
     if (tmp_ctx == NULL) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_new() failed\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "talloc_new() failed\n");
         return ENOMEM;
     }
 
     /* get domains */
     ret = confdb_get_domains(confdb, &domain_list);
     if (ret != EOK)
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Unable to get domain list\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Unable to get domain list\n");
 
     for (domain = domain_list;
          domain;
@@ -269,7 +269,7 @@ errno_t get_confdb_sections(TALLOC_CTX *ctx, struct confdb_ctx *confdb,
                             domain_count + known_services_count + 1);
     if (sections == NULL) {
         DEBUG(SSSDBG_CRIT_FAILURE,
-              ("Could not allocate memory for sections\n"));
+              "Could not allocate memory for sections\n");
         ret = ENOMEM;
         goto fail;
     }
@@ -277,7 +277,7 @@ errno_t get_confdb_sections(TALLOC_CTX *ctx, struct confdb_ctx *confdb,
     for (i = 0; i < known_services_count; i++) {
         sections[i] = talloc_strdup(tmp_ctx, known_services[i]);
         if (sections[i] == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_strdup() failed\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "talloc_strdup() failed\n");
             ret = ENOMEM;
             goto fail;
         }
@@ -289,7 +289,7 @@ errno_t get_confdb_sections(TALLOC_CTX *ctx, struct confdb_ctx *confdb,
         sections[i] = talloc_asprintf(tmp_ctx, CONFDB_DOMAIN_PATH_TMPL,
                                       domain->name);
         if (sections[i] == NULL) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("talloc_asprintf() failed\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "talloc_asprintf() failed\n");
             ret = ENOMEM;
             goto fail;
         }
diff --git a/src/tools/sss_groupadd.c b/src/tools/sss_groupadd.c
index 5667e9a..f4a425a 100644
--- a/src/tools/sss_groupadd.c
+++ b/src/tools/sss_groupadd.c
@@ -54,7 +54,7 @@ int main(int argc, const char **argv)
 
     ret = set_locale();
     if (ret != EOK) {
-        DEBUG(1, ("set_locale failed (%d): %s\n", ret, strerror(ret)));
+        DEBUG(1, "set_locale failed (%d): %s\n", ret, strerror(ret));
         ERROR("Error setting the locale\n");
         ret = EXIT_FAILURE;
         goto fini;
@@ -79,7 +79,7 @@ int main(int argc, const char **argv)
 
     ret = init_sss_tools(&tctx);
     if (ret != EOK) {
-        DEBUG(1, ("init_sss_tools failed (%d): %s\n", ret, strerror(ret)));
+        DEBUG(1, "init_sss_tools failed (%d): %s\n", ret, strerror(ret));
         if (ret == ENOENT) {
             ERROR("Error initializing the tools - no local domain\n");
         } else {
@@ -108,7 +108,7 @@ int main(int argc, const char **argv)
 
     tctx->error = sysdb_transaction_start(tctx->sysdb);
     if (tctx->error != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto done;
     }
     in_transaction = true;
@@ -121,7 +121,7 @@ int main(int argc, const char **argv)
 
     tctx->error = sysdb_transaction_commit(tctx->sysdb);
     if (tctx->error != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -130,7 +130,7 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(tctx->sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed to cancel transaction\n");
         }
     }
 
@@ -146,7 +146,7 @@ done:
                 break;
 
             default:
-                DEBUG(1, ("sysdb operation failed (%d)[%s]\n", ret, strerror(ret)));
+                DEBUG(1, "sysdb operation failed (%d)[%s]\n", ret, strerror(ret));
                 ERROR("Transaction error. Could not add group.\n");
                 break;
         }
diff --git a/src/tools/sss_groupdel.c b/src/tools/sss_groupdel.c
index 456b2b4..827432d 100644
--- a/src/tools/sss_groupdel.c
+++ b/src/tools/sss_groupdel.c
@@ -49,7 +49,7 @@ int main(int argc, const char **argv)
 
     ret = set_locale();
     if (ret != EOK) {
-        DEBUG(1, ("set_locale failed (%d): %s\n", ret, strerror(ret)));
+        DEBUG(1, "set_locale failed (%d): %s\n", ret, strerror(ret));
         ERROR("Error setting the locale\n");
         ret = EXIT_FAILURE;
         goto fini;
@@ -73,7 +73,7 @@ int main(int argc, const char **argv)
 
     ret = init_sss_tools(&tctx);
     if (ret != EOK) {
-        DEBUG(1, ("init_sss_tools failed (%d): %s\n", ret, strerror(ret)));
+        DEBUG(1, "init_sss_tools failed (%d): %s\n", ret, strerror(ret));
         if (ret == ENOENT) {
             ERROR("Error initializing the tools - no local domain\n");
         } else {
@@ -123,7 +123,7 @@ int main(int argc, const char **argv)
 
 done:
     if (ret) {
-        DEBUG(1, ("sysdb operation failed (%d)[%s]\n", ret, strerror(ret)));
+        DEBUG(1, "sysdb operation failed (%d)[%s]\n", ret, strerror(ret));
         switch (ret) {
             case ENOENT:
                 ERROR("No such group in local domain. "
diff --git a/src/tools/sss_groupmod.c b/src/tools/sss_groupmod.c
index 29113d3..77eaf31 100644
--- a/src/tools/sss_groupmod.c
+++ b/src/tools/sss_groupmod.c
@@ -61,7 +61,7 @@ int main(int argc, const char **argv)
 
     ret = set_locale();
     if (ret != EOK) {
-        DEBUG(1, ("set_locale failed (%d): %s\n", ret, strerror(ret)));
+        DEBUG(1, "set_locale failed (%d): %s\n", ret, strerror(ret));
         ERROR("Error setting the locale\n");
         ret = EXIT_FAILURE;
         goto fini;
@@ -106,7 +106,7 @@ int main(int argc, const char **argv)
 
     ret = init_sss_tools(&tctx);
     if (ret != EOK) {
-        DEBUG(1, ("init_sss_tools failed (%d): %s\n", ret, strerror(ret)));
+        DEBUG(1, "init_sss_tools failed (%d): %s\n", ret, strerror(ret));
         if (ret == ENOENT) {
             ERROR("Error initializing the tools - no local domain\n");
         } else {
@@ -137,7 +137,7 @@ int main(int argc, const char **argv)
     if (addgroups) {
         ret = parse_groups(tctx, addgroups, &tctx->octx->addgroups);
         if (ret != EOK) {
-            DEBUG(1, ("Cannot parse groups to add the group to\n"));
+            DEBUG(1, "Cannot parse groups to add the group to\n");
             ERROR("Internal error while parsing parameters\n");
             ret = EXIT_FAILURE;
             goto fini;
@@ -145,7 +145,7 @@ int main(int argc, const char **argv)
 
         ret = parse_group_name_domain(tctx, tctx->octx->addgroups);
         if (ret != EOK) {
-            DEBUG(1, ("Cannot parse FQDN groups to add the group to\n"));
+            DEBUG(1, "Cannot parse FQDN groups to add the group to\n");
             ERROR("Member groups must be in the same domain as parent group\n");
             ret = EXIT_FAILURE;
             goto fini;
@@ -164,7 +164,7 @@ int main(int argc, const char **argv)
     if (rmgroups) {
         ret = parse_groups(tctx, rmgroups, &tctx->octx->rmgroups);
         if (ret != EOK) {
-            DEBUG(1, ("Cannot parse groups to remove the group from\n"));
+            DEBUG(1, "Cannot parse groups to remove the group from\n");
             ERROR("Internal error while parsing parameters\n");
             ret = EXIT_FAILURE;
             goto fini;
@@ -172,7 +172,7 @@ int main(int argc, const char **argv)
 
         ret = parse_group_name_domain(tctx, tctx->octx->rmgroups);
         if (ret != EOK) {
-            DEBUG(1, ("Cannot parse FQDN groups to remove the group from\n"));
+            DEBUG(1, "Cannot parse FQDN groups to remove the group from\n");
             ERROR("Member groups must be in the same domain as parent group\n");
             ret = EXIT_FAILURE;
             goto fini;
@@ -196,7 +196,7 @@ int main(int argc, const char **argv)
 
     tctx->error = sysdb_transaction_start(tctx->sysdb);
     if (tctx->error != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to start transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to start transaction\n");
         goto done;
     }
     in_transaction = true;
@@ -209,7 +209,7 @@ int main(int argc, const char **argv)
 
     tctx->error = sysdb_transaction_commit(tctx->sysdb);
     if (tctx->error != EOK) {
-        DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to commit transaction\n"));
+        DEBUG(SSSDBG_CRIT_FAILURE, "Failed to commit transaction\n");
         goto done;
     }
     in_transaction = false;
@@ -239,12 +239,12 @@ done:
     if (in_transaction) {
         sret = sysdb_transaction_cancel(tctx->sysdb);
         if (sret != EOK) {
-            DEBUG(SSSDBG_CRIT_FAILURE, ("Failed to cancel transaction\n"));
+            DEBUG(SSSDBG_CRIT_FAILURE, "Failed to cancel transaction\n");
         }
     }
     if (tctx->error) {
         ret = tctx->error;
-        DEBUG(1, ("sysdb operation failed (%d)[%s]\n", ret, strerror(ret)));
+        DEBUG(1, "sysdb operation failed (%d)[%s]\n", ret, strerror(ret));
         switch (ret) {
             case ENOENT:
                 ERROR("Could not modify group - check if member group names are correct\n");
diff --git a/src/tools/sss_groupshow.c b/src/tools/sss_groupshow.c
index 56adf2a..4e72736 100644
--- a/src/tools/sss_groupshow.c
+++ b/src/tools/sss_groupshow.c
@@ -80,7 +80,7 @@ static int parse_memberofs(struct ldb_context *ldb,
         if (gi->memberofs[i] == NULL) {
             return ENOMEM;
         }
-        DEBUG(6, ("memberof value: %s\n", gi->memberofs[i]));
+        DEBUG(6, "memberof value: %s\n", gi->memberofs[i]);
     }
     gi->memberofs[el->num_values] = NULL;
 
@@ -140,7 +140,7 @@ static int parse_members(TALLOC_CTX *mem_ctx,
                 ret = ENOMEM;
                 goto fail;
             }
-            DEBUG(6, ("User member %s\n", um[um_index]));
+            DEBUG(6, "User member %s\n", um[um_index]);
             um_index++;
         } else if (ldb_dn_compare_base(parent_dn, group_basedn) == 0) {
             gm[gm_index] = rdn_as_string(mem_ctx, dn);
@@ -149,15 +149,15 @@ static int parse_members(TALLOC_CTX *mem_ctx,
                 goto fail;
             }
             if (parent_name && strcmp(gm[gm_index], parent_name) == 0) {
-                DEBUG(6, ("Skipping circular nesting for group %s\n",
-                          gm[gm_index]));
+                DEBUG(6, "Skipping circular nesting for group %s\n",
+                          gm[gm_index]);
                 continue;
             }
-            DEBUG(6, ("Group member %s\n", gm[gm_index]));
+            DEBUG(6, "Group member %s\n", gm[gm_index]);
             gm_index++;
         } else {
-            DEBUG(2, ("Group member not a user nor group: %s\n",
-                        ldb_dn_get_linearized(dn)));
+            DEBUG(2, "Group member not a user nor group: %s\n",
+                        ldb_dn_get_linearized(dn));
             ret = EIO;
             goto fail;
         }
@@ -216,7 +216,7 @@ static int process_group(TALLOC_CTX *mem_ctx,
     struct group_info *gi = NULL;
     const char **user_members;
 
-    DEBUG(6, ("Found entry %s\n", ldb_dn_get_linearized(msg->dn)));
+    DEBUG(6, "Found entry %s\n", ldb_dn_get_linearized(msg->dn));
 
     gi = talloc_zero(mem_ctx, struct group_info);
     if (!gi) {
@@ -232,7 +232,7 @@ static int process_group(TALLOC_CTX *mem_ctx,
     gi->gid = ldb_msg_find_attr_as_uint64(msg,
                                           SYSDB_GIDNUM, 0);
     if (gi->gid == 0 || gi->name == NULL) {
-        DEBUG(3, ("No name or no GID?\n"));
+        DEBUG(3, "No name or no GID?\n");
         ret = EIO;
         goto done;
     }
@@ -335,7 +335,7 @@ int group_show(TALLOC_CTX *mem_ctx,
     /* First, search for the root group */
     ret = sysdb_search_group_by_name(mem_ctx, sysdb, domain, name, attrs, &msg);
     if (ret) {
-        DEBUG(2, ("Search failed: %s (%d)\n", strerror(ret), ret));
+        DEBUG(2, "Search failed: %s (%d)\n", strerror(ret), ret);
         goto done;
     }
 
@@ -343,8 +343,8 @@ int group_show(TALLOC_CTX *mem_ctx,
                         msg, domain, NULL, &root,
                         &group_members, &nmembers);
     if (ret != EOK) {
-        DEBUG(2, ("Group processing failed: %s (%d)\n",
-                   strerror(ret), ret));
+        DEBUG(2, "Group processing failed: %s (%d)\n",
+                   strerror(ret), ret);
         goto done;
     }
 
@@ -393,7 +393,7 @@ int group_show(TALLOC_CTX *mem_ctx,
                              group_members, nmembers,
                              &root->group_members);
     if (ret) {
-        DEBUG(2, ("Recursive search failed: %s (%d)\n", strerror(ret), ret));
+        DEBUG(2, "Recursive search failed: %s (%d)\n", strerror(ret), ret);
         goto done;
     }
 
@@ -448,8 +448,8 @@ static int group_show_trim_memberof(TALLOC_CTX *mem_ctx,
             name = ldb_msg_find_attr_as_string(msgs[0],
                                                SYSDB_NAME, NULL);
             if (!name) {
-                DEBUG(2, ("Entry %s has no Name Attribute ?!?\n",
-                      ldb_dn_get_linearized(msgs[0]->dn)));
+                DEBUG(2, "Entry %s has no Name Attribute ?!?\n",
+                      ldb_dn_get_linearized(msgs[0]->dn));
                 return EFAULT;
             }
 
@@ -509,7 +509,7 @@ int group_show_recurse(TALLOC_CTX *mem_ctx,
         ret = sysdb_search_group_by_name(mem_ctx, sysdb, domain,
                                          group_members[i], attrs, &msg);
         if (ret) {
-            DEBUG(2, ("Search failed: %s (%d)\n", strerror(ret), ret));
+            DEBUG(2, "Search failed: %s (%d)\n", strerror(ret), ret);
             return EIO;
         }
 
@@ -517,8 +517,8 @@ int group_show_recurse(TALLOC_CTX *mem_ctx,
                             msg, domain, parent->name,
                             &groups[i], &new_group_members, &new_nmembers);
         if (ret != EOK) {
-            DEBUG(2, ("Group processing failed: %s (%d)\n",
-                      strerror(ret), ret));
+            DEBUG(2, "Group processing failed: %s (%d)\n",
+                      strerror(ret), ret);
             return ret;
         }
 
@@ -529,8 +529,8 @@ int group_show_recurse(TALLOC_CTX *mem_ctx,
                                      new_group_members, new_nmembers,
                                      &parent->group_members);
             if (ret != EOK) {
-                DEBUG(2, ("Recursive search failed: %s (%d)\n",
-                          strerror(ret), ret));
+                DEBUG(2, "Recursive search failed: %s (%d)\n",
+                          strerror(ret), ret);
                 return ret;
             }
             talloc_zfree(new_group_members);
@@ -562,7 +562,7 @@ static int group_show_mpg(TALLOC_CTX *mem_ctx,
 
     ret = sysdb_search_user_by_name(info, sysdb, domain, name, attrs, &msg);
     if (ret) {
-        DEBUG(2, ("Search failed: %s (%d)\n", strerror(ret), ret));
+        DEBUG(2, "Search failed: %s (%d)\n", strerror(ret), ret);
         goto fail;
     }
 
@@ -571,7 +571,7 @@ static int group_show_mpg(TALLOC_CTX *mem_ctx,
                                                            SYSDB_NAME, NULL));
     info->gid = ldb_msg_find_attr_as_uint64(msg, SYSDB_UIDNUM, 0);
     if (info->gid == 0 || info->name == NULL) {
-        DEBUG(3, ("No name or no GID?\n"));
+        DEBUG(3, "No name or no GID?\n");
         ret = EIO;
         goto fail;
     }
@@ -659,7 +659,7 @@ int main(int argc, const char **argv)
 
     ret = set_locale();
     if (ret != EOK) {
-        DEBUG(1, ("set_locale failed (%d): %s\n", ret, strerror(ret)));
+        DEBUG(1, "set_locale failed (%d): %s\n", ret, strerror(ret));
         ERROR("Error setting the locale\n");
         ret = EXIT_FAILURE;
         goto fini;
@@ -691,7 +691,7 @@ int main(int argc, const char **argv)
 
     ret = init_sss_tools(&tctx);
     if (ret != EOK) {
-        DEBUG(1, ("init_sss_tools failed (%d): %s\n", ret, strerror(ret)));
+        DEBUG(1, "init_sss_tools failed (%d): %s\n", ret, strerror(ret));
         if (ret == ENOENT) {
             ERROR("Error initializing the tools - no local domain\n");
         } else {
@@ -720,7 +720,7 @@ int main(int argc, const char **argv)
 
     /* Process result */
     if (ret) {
-        DEBUG(1, ("sysdb operation failed (%d)[%s]\n", ret, strerror(ret)));
+        DEBUG(1, "sysdb operation failed (%d)[%s]\n", ret, strerror(ret));
         switch (ret) {
             case ENOENT:
                 ERROR("No such group in local domain. "
